Deprecated - Modify campaign instances.

The api to Modify campaign instances v1.0 (v1.0/admin/instances) is deprecated. The end of life is 31-Dec-2025. Use the following alternative API: PATCH /v2.0/instances
API request is only valid for resources created using V1 version. When a V1 resource is modified by using the V2 API, it will be aligned as a V2 resource. Attempting to access V2-exclusive resources with the V1 API will result in a 400 error.
Modify a set of campaign instances. If called by application owner, the API can modify only instances that the owner created or that the associated applications are all owned by the owner.
Entitlements required: manageAccessWorkflow [Manage Access Request Work Flows].

Body Params

List of campaign instances to modify:
Campaign instance payload details:

- id: Campaign instance ID.
- event: The action to apply to the campaign instance.


Allowable values for event are: delete, pause, restart, runnow, end, harddelete.
delete: Transitions the campaign instance to a cancelled state, indicating it is no longer active.
pause: Temporarily halts a running campaign instance, putting it in a paused state.
restart: Resumes a paused campaign instance, continuing its execution.
runnow: Triggers immediate execution of a scheduled campaign instance.
end: Transitions a running campaign to a completion state, before the designated completion date. This is mainly to enforce the campaign closure based actions immediately.
harddelete: Delete the campaign instance immediately from the database.

Responses
204

The operation was successful.

500

Your operation can't be processed because an internal server error occurred.

Language
URL
Response
Choose an example:
application/json